> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert

> Convert image format

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/photo.jpg",
    "format": "webp"
  }
  ```

  ```bash File Upload theme={null}
  curl -X POST https://api.ringbee.dev/v1/image/convert \
    -H "X-API-Key: YOUR_API_KEY" \
    -F "file=@photo.jpg" \
    -F "format=webp"
  ```
</RequestExample>

| Param   | Type    | Description                                           |
| ------- | ------- | ----------------------------------------------------- |
| format  | string  | Target format: jpeg, png, webp, avif, heic, tiff, gif |
| quality | integer | Output quality (1-100)                                |


## OpenAPI

````yaml POST /v1/image/convert
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/image/convert:
    post:
      tags:
        - Image
      summary: Convert
      description: Convert image format
      operationId: imageConvert
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                format:
                  type: string
                  description: 'Target format: jpeg, png, webp, avif, heic, tiff, gif'
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Upload file directly
                format:
                  type: string
                  description: 'Target format: jpeg, png, webp, avif, heic, tiff, gif'
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````